
QGIS Application - Bug report #14727

offline edits update wrong feature

2016-04-25 12:34 PM - Dale Renton

Status: Closed

Priority: Severe/Regression

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22686

Description

Steps to reproduce:

 add PostGIS vector layer that has multiple features

 Database > Offline Editing > Convert to offline project

 modify one of the feature attributes

 Database > Offline Editing > Synchronize

 wrong feature could potentially be modified

Additional info :

 does not work after QGIS 2.6.1

 offline sqlite log_fids table contains different offline_fid in 2.6.1 vs 2.14.1

 in 2.6.1 the offline_fid is the same as the layer table rowid, however in 2.14.1 it is not

Associated revisions

Revision 216623ff - 2016-06-22 10:51 AM - Matthias Kuhn 

Fix wrong mapping of feature ids in offline editing

Fix #14727

Revision 7a27ef2b - 2016-07-11 03:18 PM - Matthias Kuhn 

Fix wrong mapping of feature ids in offline editing

Fix #14727

History

#1 - 2016-04-25 12:50 PM - Dale Renton

Additional info (changed) :

does not work after QGIS 2.6.1

offline sqlite log_feature_updates table contains different fid in 2.6.1 vs 2.14.1

in 2.6.1 the fid is the same as the layer table rowid and the log_fids offline_fid

in 2.14.1 the fid is the same as the layer table rowid but the log_fids table offline_fid is different

#2 - 2016-06-06 05:56 AM - Matthias Kuhn
- Status changed from Open to Feedback

What kind of primary key does your original table have?

#3 - 2016-06-06 07:05 AM - Dale Renton

auto increment integer

#4 - 2016-06-21 01:10 AM - Giovanni Manghi

- Target version set to Version 2.16

- Status changed from Feedback to Open

#5 - 2016-06-22 01:51 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"216623ffe02f16e98db63799c10da1f7063e2537".
